Perform various operations on lookup records.
Operations
searchLookupPagedSelectFields
POST
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
AccountNumberstringoptionalQuerystringoptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
TokenstringoptionalLoading fields…
POST
/nexum/{sym}/2022.01/account/searchLookupPagedSelectFieldsPOST /nexum/627/2022.01/account/searchLookupPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"Query": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"IncludeAllLookupFields": false,
"LookupFields": {
"Locator": true,
"Type": true,
"Number": true,
"Id": true,
"IdType": true,
"RecordChangeDate": true
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}updateLookupByID
POST
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
LookupLocatorintegeroptionalAccountNumberstringoptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
Loading fields…
POST
/nexum/{sym}/2022.01/account/updateLookupByIDPOST /nexum/627/2022.01/account/updateLookupByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"LookupLocator": 0,
"LookupUpdatableFields": {
"Type": 0,
"IdType": 0,
"Id": "0",
"Number": "string"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}createLookup
POST
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
AccountNumberstringoptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
LookupLocatorintegeroptionalLoading fields…
POST
/nexum/{sym}/2022.01/account/createLookupPOST /nexum/627/2022.01/account/createLookup HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"LookupCreatableFields": {
"Type": 0,
"IdType": 0,
"Id": "0",
"Number": "string"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}deleteLookup
POST
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
AccountNumberstringoptionalLookupLocatorintegeroptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.Loading fields…
POST
/nexum/{sym}/2022.01/account/deleteLookupPOST /nexum/627/2022.01/account/deleteLookup HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"LookupLocator": 0,
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}